IM_DE_FROMDISP(3X)

NAME
im_dE_fromdisp, im_dE_fromXYZ, im_dECMC_fromdisp - derived colour difference functions

SYNOPSIS
#include <vips/vips.h>
#include <vips/colour.h> im_dE_fromdisp( in1, in2, out, display )
IMAGE *in1, *in2, *out;
struct im_col_display *display; int im_dE_fromXYZ(in, out)
IMAGE *in, *out; im_dECMC_fromdisp( in1, in2, out, display )
IMAGE *in1, *in2, *out;
struct im_col_display *display;

DESCRIPTION
These functions are built on the basic VIPS colour difference measurements as a convenience for the programmer. See im_dE_fromLab(3X) for an explanation of the colour difference metrics and the basic comparision functions.

RETURN VALUE
The functions return 0 on success and -1 on error.

SEE ALSO
im_col_XYZ2rgb(3X), im_dE_fromLab(3X), im_LabQ2Lab(3X), im_Lab2disp(3X).

COPYRIGHT
National Gallery and Birkbeck College, 1990 - 1993

AUTHOR
K. Martinez - 2/12/1992
J. Cupitt - 21/7/93